# _SplayTreeInfo Struct Reference

## Data Fields

NodeInfo * | root
int(* | compare )(const void *, const void *)
void *(* | relinquish_key )(void *)
void *(*)*(* | relinquish_value )(void *)
MagickBooleanType | balance
void * | key
void * | next
unsigned long | nodes
MagickBooleanType | debug
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

NodeInfo* _SplayTreeInfo::root

int(* _SplayTreeInfo::compare)(const void *, const void *)

void*(* _SplayTreeInfo::relinquish_key)(void *)

void*(*) *(* _SplayTreeInfo::relinquish_value)(void *)

MagickBooleanType _SplayTreeInfo::balance

void* _SplayTreeInfo::key

void * _SplayTreeInfo::next

unsigned long _SplayTreeInfo::nodes

MagickBooleanType _SplayTreeInfo::debug

SemaphoreInfo* _SplayTreeInfo::semaphore

unsigned long _SplayTreeInfo::signature

The documentation for this struct was generated from the following file:

- splay-tree.c